> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiployees.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Търсене на налични телефонни номера

> Търсене на налични телефонни номера, които могат да бъдат закупени

Този endpoint ви позволява да търсите налични телефонни номера от нашия доставчик. Използвайте резултатите, за да намерите номер, който искате да закупите.

### Query Parameters

<ParamField query="country_code" type="string" default="US">
  ISO 3166-1 alpha-2 кода на държавата за търсене (напр. US, GB, AU, CA)
</ParamField>

<ParamField query="contains" type="string">
  Филтриране на телефонни номера, които съдържат специфични цифри (само цифрови знаци, максимум 10 цифри)
</ParamField>

### Response

<ResponseField name="data" type="array">
  Масив от налични телефонни номера

  <Expandable title="свойства на наличните номера">
    <ResponseField name="phone_number" type="string">
      Телефонният номер в E.164 формат
    </ResponseField>

    <ResponseField name="phone_number_formatted" type="string">
      Телефонният номер форматиран за показване
    </ResponseField>

    <ResponseField name="country_code" type="string">
      ISO кода на държавата
    </ResponseField>

    <ResponseField name="price" type="number">
      Месечна цена за наем в долари
    </ResponseField>

    <ResponseField name="stripe_price_id" type="string">
      Stripe price ID за фактуриране
    </ResponseField>

    <ResponseField name="address_requirements" type="string">
      Изисквания за адрес за този номер: `none`, `local`, `foreign`, или `inventory`
    </ResponseField>

    <ResponseField name="sms_capable" type="boolean">
      Дали номерът поддържа SMS
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 Response theme={null}
  {
    "data": [
      {
        "phone_number": "+14155551234",
        "phone_number_formatted": "+1 415-555-1234",
        "country_code": "US",
        "price": 3.99,
        "stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
        "address_requirements": "none",
        "sms_capable": true
      },
      {
        "phone_number": "+14155555678",
        "phone_number_formatted": "+1 415-555-5678",
        "country_code": "US",
        "price": 3.99,
        "stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
        "address_requirements": "none",
        "sms_capable": false
      }
    ]
  }
  ```

  ```json 200 Empty Response theme={null}
  {
    "data": []
  }
  ```
</ResponseExample>

### Поддържани държави

| Държава            | Код |
| ------------------ | --- |
| Съединени щати     | US  |
| Канада             | CA  |
| Обединено кралство | GB  |
| Австралия          | AU  |
| Израел             | IL  |
| Полша              | PL  |
| Финландия          | FI  |
| Нидерландия        | NL  |
| Дания              | DK  |
| Италия             | IT  |
